Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfLabelFollowedByType

    java.lang.Object
      java.lang.Enum<OdfLabelFollowedByType>
          org.odftoolkit.odfdom.dom.type.text.OdfLabelFollowedByType

All Implemented Interfaces:
  Serializable, Comparable<OdfLabelFollowedByType>

    public enum OdfLabelFollowedByType

extends Enum<OdfLabelFollowedByType>

DOM implementation of OpenDocument attribute text:label-followed-by.

Enum Constant Summary
`LISTTAB`
`NOTHING`
`SPACE`

Method Summary
`static OdfLabelFollowedByType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLabelFollowedByType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLabelFollowedByType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLabelFollowedByType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SPACE

    public static final OdfLabelFollowedByType SPACE

### LISTTAB

    public static final OdfLabelFollowedByType LISTTAB

### NOTHING

    public static final OdfLabelFollowedByType NOTHING

Method Detail

### values

    public static OdfLabelFollowedByType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLabelFollowedByType c : OdfLabelFollowedByType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLabelFollowedByType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLabelFollowedByType>`
  Returns:
    return the name of OdfLabelFollowedByType

### toString

    public static String toString(OdfLabelFollowedByType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLabelFollowedByType, see text:label-followed-by
  Returns:
    return the name of OdfLabelFollowedByType

### enumValueOf

    public static OdfLabelFollowedByType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLabelFollowedByType
  Returns:
    return the constant of OdfLabelFollowedByType, see text:label-followed-by

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.